Redteams
Create a redteam run
Submits a new redteam run for execution with the provided configuration.
Koptekstparameters
Foundry-Features
enum
vereist
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Queryparameters
api-version
string
vereist
The API version to use for this operation.
Aanvraagbody
Redteam to be run
id
string
vereist
Identifier of the red team run.
displayName
string
Name of the red-team run.
numTurns
integer
Number of simulation rounds.
attackStrategies
AttackStrategy[]
List of attack strategies or nested lists of attack strategies.
simulationOnly
boolean
Simulation-only or Simulation + Evaluation. If true the scan outputs conversation not evaluation result. The service defaults to false if a value is not specified by the caller.
riskCategories
RiskCategory[]
List of risk categories to generate attack objectives for.
applicationScenario
string
Application scenario for the red team operation, to generate scenario specific attacks.
tags
object
Red team's tags. Unlike properties, tags are fully mutable.
properties
object
Red team's properties. Unlike tags, properties are add-only. Once added, a property cannot be removed.
status
string
Status of the red-team. It is set by service and is read-only.
target
AzureOpenAIModel
vereist
Abstract class for target configuration.
AzureOpenAIModel
AzureOpenAIModelConfiguration
Azure OpenAI model configuration. The API version would be selected by the service for querying the model.
type
enum
vereist
modelDeploymentName
string
vereist
Deployment name for AOAI model. Example: gpt-4o if in AIServices or connection based connection_name/deployment_name (e.g. my-aoai-connection/gpt-4o).
Antwoorden
The request has succeeded and a new resource has been created as a result.
Hoofdtekst
id
string
vereist
Identifier of the red team run.
displayName
string
Name of the red-team run.
numTurns
integer
Number of simulation rounds.
attackStrategies
AttackStrategy[]
List of attack strategies or nested lists of attack strategies.
simulationOnly
boolean
Simulation-only or Simulation + Evaluation. If true the scan outputs conversation not evaluation result. The service defaults to false if a value is not specified by the caller.
riskCategories
RiskCategory[]
List of risk categories to generate attack objectives for.
applicationScenario
string
Application scenario for the red team operation, to generate scenario specific attacks.
tags
object
Red team's tags. Unlike properties, tags are fully mutable.
properties
object
Red team's properties. Unlike tags, properties are add-only. Once added, a property cannot be removed.
status
string
Status of the red-team. It is set by service and is read-only.
target
AzureOpenAIModel
vereist
Abstract class for target configuration.
AzureOpenAIModel
AzureOpenAIModelConfiguration
Azure OpenAI model configuration. The API version would be selected by the service for querying the model.
type
enum
vereist
modelDeploymentName
string
vereist
Deployment name for AOAI model. Example: gpt-4o if in AIServices or connection based connection_name/deployment_name (e.g. my-aoai-connection/gpt-4o).
Aanvraag
POST /redTeams/runs:run HTTP/1.1
Respons
Status: 201
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json